Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class MakumbaError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.makumba.MakumbaError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConfigurationError, DBError, DefinitionParseError, OQLParseError, ProgrammerError

    public class MakumbaError

extends Error

A generic Makumba fatal error, due to misconfiguration, bad Data Definition (MDD) syntax, bad OQL syntax, database fatal error, etc. Such an error usually denotes either a configuration mistake from the makumba API user, either a fatal database problem that makes it impossible for the makumba application to work. Like all errors, Makumba errors don't need to be caught, as they occur in "terminal" conditions anyway. Most makumba errors come from exceptions, which can be retrieved calling getReason()

See Also:
  Serialized Form

Field Summary
`(package private) String` | `explanation`

Constructor Summary
`MakumbaError()` Build an empty makumba error
`MakumbaError(String explanation)` Build a makumba error with the given explanation
`MakumbaError(Throwable reason)` Build a makumba error and associate it with the given reason
`MakumbaError(Throwable reason, String expl)` Build a makumba error and associate it with the given reason and explanation text

Method Summary
`void` | `printStackTrace()` Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace
`void` | `printStackTrace(PrintStream ps)` Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace
`void` | `printStackTrace(PrintWriter ps)` Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace
`String` | `toString()` A string representation of this error, for debugging

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### explanation

    String explanation

Constructor Detail

### MakumbaError

    public MakumbaError(Throwable reason)

  Build a makumba error and associate it with the given reason

### MakumbaError

    public MakumbaError(Throwable reason,
                        String expl)

  Build a makumba error and associate it with the given reason and explanation text

### MakumbaError

    public MakumbaError()

  Build an empty makumba error

### MakumbaError

    public MakumbaError(String explanation)

  Build a makumba error with the given explanation

Method Detail

### printStackTrace

    public void printStackTrace()

  Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter ps)

  Print the stacktrace of the reason exception, if any, otherwise print a normal stack trace

  Overrides:
    `printStackTrace` in class `Throwable`

### toString

    public String toString()

  A string representation of this error, for debugging

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20